BGLDEPEND(1)

NAME
bgldepend - create Bigloo dependencies in makefiles

SYNOPSIS
bgldepend [ options ] sourcefile ...

DESCRIPTION
bgldepend program reads each sourcefile in sequence and parses it to find the module include and import module directives. bgldepend computes the transitive closure of the import relationship. That is, it is sufficient to provide bgldepend with a single Bigloo file that imports all the project file (e.g. the "main" file.) Every file that a sourcefile includes, directly or indirectly, is what bgldepend calls a dependency. These dependencies are then written to a makefile in such a way that make(1) will know which object files must be recompiled when a dependency has changed. By default, bgldepend writes its output on the standard output device. If bgldepend is provided with a -o makefile option, it will update the makefile file. That is, it will search the makefile for the line:

 # bgldepend start (don't edit)

and

 # bgldepend stop

Dependencies will be written in between these two lines.

OPTIONS

file
    Is an file implementing a module. Afile reads that file to discover the name of the implemented module.

-search-path <path>
    Add path to the directory list read for searching Bigloo source files.

-exclude-path <path>
    Exclude path from the directory list read for searching Bigloo source files.

-suffix <suf>
    Adds suf to the bmake source file suffixes list. Default suffixes are "scm", "sch" and "bgl".

-v  Verbose mode

-o <makefile>
    The name of the makefile file to be updated

EXAMPLE
Normally, bgldepend will be used in a makefile target so that typing ``make bgldepend'' will bring the dependencies up to date for the makefile. For example,

   MAIN=foo.scm

   SRCS = $(MAIN) bar.scm gee.scm

   bgldepend:

       bgldepend -o Makefile $(MAIN)

SEE ALSO
bigloo(1), bglafile(1), bglmake(1), bglpp(1), bglprof(1), bgltags(1), make(1)

AUTHOR
Manuel SERRANO, Manuel.Serrano@inria.fr